: Class PjPages

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.etymon.pj.object
Class PjPages

    java.lang.Object
      |
      +--com.etymon.pj.object.BaseObject
            |
            +--com.etymon.pj.object.PjObject
                  |
                  +--com.etymon.pj.object.PjDictionary
                        |
                        +--com.etymon.pj.object.PjPagesNode
                              |
                              +--com.etymon.pj.object.PjPages

All Implemented Interfaces:
  java.lang.Cloneable

public class PjPages
extends PjPagesNode

A representation of a PDF Pages dictionary.

Fields inherited from class com.etymon.pj.object.PjDictionary
`_h`

Constructor Summary
`PjPages()` Creates a new Pages dictionary.
`PjPages(java.util.Hashtable h)` Creates a Pages dictionary as a wrapper around a Hashtable.

Method Summary
`java.lang.Object` | `clone()` Returns a deep copy of this object.
`PjObject` | `getCount()`
`PjObject` | `getKids()`
`static boolean` | `isLike(PjDictionary dictionary)` Examines a dictionary to see if it is a PDF Pages object.
`void` | `setCount(PjNumber count)`
`void` | `setCount(PjReference count)`
`void` | `setKids(PjArray kids)`
`void` | `setKids(PjReference kids)`

Methods inherited from class com.etymon.pj.object.PjPagesNode
`getAA, getCropBox, getDur, getHid, getMediaBox, getParent, getResources, getRotate, getTrans, setAA, setAA, setCropBox, setCropBox, setDur, setDur, setHid, setHid, setMediaBox, setMediaBox, setParent, setResources, setResources, setRotate, setRotate, setTrans, setTrans`

Methods inherited from class com.etymon.pj.object.PjDictionary
`cloneHt, getHashtable, hget, hgetReference, renumber, writePdf`

Methods inherited from class com.etymon.pj.object.BaseObject
`toString, write, write, write, writeln`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PjPages

    public PjPages()

  Creates a new Pages dictionary.

### PjPages

    public PjPages(java.util.Hashtable h)

  Creates a Pages dictionary as a wrapper around a Hashtable.
  Parameters:
    `h` - the Hashtable to use for this dictionary.

Method Detail

### setKids

    public void setKids(PjArray kids)

### setKids

    public void setKids(PjReference kids)

### getKids

    public PjObject getKids()
                     throws InvalidPdfObjectException

### setCount

    public void setCount(PjNumber count)

### setCount

    public void setCount(PjReference count)

### getCount

    public PjObject getCount()
                      throws InvalidPdfObjectException

### isLike

    public static boolean isLike(PjDictionary dictionary)

  Examines a dictionary to see if it is a PDF Pages object.
  Parameters:
    `dictionary` - the dictionary to examine.
  Returns:
    true if the dictionary could be interpreted as a valid PjPages object.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a deep copy of this object.
  Overrides:
    `clone` in class `PjDictionary`
  Returns:
    a deep copy of this object.
  Throws:
    `java.lang.CloneNotSupportedException` - if the instance can not be cloned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD